%define pythonver 2.2
%define qtversion 3.0.3
%define is_release 1
%define beta_version 0
Summary: Python bindings for Qt
Name: PyQt
Version: 3.3.2
%if %{is_release}
Release: 4
%else
Release: 0.%{beta_version}.1
%endif
License: GPL
ExcludeArch: alpha
Group: Development/Languages
%if  %{is_release}
Source: http://www.river-bank.demon.co.uk/software/PyQt-%{version}.tar.bz2
BuildPrereq: qt-MySQL >= %{qtversion}
BuildPrereq: qt-PostgreSQL >= %{qtversion}
BuildPrereq: qt-ODBC >= %{qtversion}
%else
Source: http://www.riverbankcomputing.co.uk/download/PyQt/PyQt-%{version}%{beta_version}-Qt-3.0.2.tar.bz2
%endif
BuildPrereq: sip = %{version}, qt-devel >= %{qtversion}
%if "%{pythonver}" == "2.2"
%define pythonprog /usr/bin/python2.2
%define pythonpkg python
%define minor .1
%else
%define pythonprog /usr/bin/python
%define pythonpkg python
%define minor .2
%endif
BuildPrereq: %{pythonpkg} >= %{pythonver}%{minor}
Requires: %{pythonpkg} >= %{pythonver}%{minor}
Url: http://www.riverbankcomputing.co.uk/pyqt/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
These are Python bindings for Qt.

%package devel
Summary: Files needed to build other bindings based on Qt
Requires: %{name} = %{version}
Group: Development/Languages

%description devel
Files needed to build other bindings for C++ classes that inherit from any
of the Qt classes (e.g. KDE or your own).

%package examples
Summary: Examples for PyQt
Requires: %{name} = %{version}
Group: Development/Languages

%description examples
Examples code demonstrating how to use the Python bindings for Qt.

%prep
%if %{is_release}
%setup -q
%else
%setup -q -n %{name}-%{version}%{beta_version}
%endif

%build
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_libdir}/python%{pythonver}/site-packages \
         %{buildroot}%{_bindir}

QTDIR="" && . /etc/profile.d/qt.sh
%ifnarch alpha
%pythonprog build.py \
  -l qt-mt \
  -b %{buildroot}%{_bindir} \
  -d %{buildroot}%{_libdir}/python%{pythonver}/site-packages/
%endif
make

%install
mkdir -p %{buildroot}%{_includedir}/python%{pythonver} \
         %{buildroot}%{_datadir}/sip/qt
make install
install -m 644 sip/*.sip %{buildroot}%{_datadir}/sip/qt/
mv examples3 examples

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README NEWS
%{_bindir}/*
%{_libdir}/python%{pythonver}/site-packages/*

%files devel
%defattr(-,root,root)
%{_datadir}/sip/qt
%doc doc/PyQt/*

%files examples
%defattr(-,root,root)
%doc examples/README examples/*.py
%doc examples/*.png examples/*.gif examples/*.bmp

%changelog
* Sat Aug 24 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- to not enable parallel make
- specfile cleanups
- again excludearch alpha

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.3.2-3
- rebuild using new gcc-3.2-0.3
- remove excludearch alpha

* Tue Jul 23 2002 Than Ngo <than@redhat.com> 3.3.2-2
- rebuild to get rid of deps

* Tue Jul 23 2002 Than Ngo <than@redhat.com> 3.3.2-1
- 3.3.2 release for qt 3.0.5

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 22 2002 Harald Hoyer <harald@redhat.de>
- updated to version 3.2.4

* Thu May 02 2002 Than Ngo <than@redhat.com> 3.2-0.rc4.1
- 3.2rc4
- build against python 2

* Tue Apr 16 2002 Than Ngo <than@redhat.com> 3.1-2
- rebuild

* Fri Mar 29 2002 Than Ngo <than@redhat.com> 3.1-1
- update 3.1 for qt 3.0.3

* Fri Mar  8 2002 Than Ngo <than@redhat.com> 3.0-4
- rebuild against qt-3
- fix Url

* Fri Feb 22 2002 Than Ngo <than@redhat.com> 3.0-3
- rebuild against python 1.5.2 and qt 2.3.2

* Wed Jan 16 2002 Than Ngo <than@redhat.com> 3.0-1
- update to 3.0
- add 4 official patches
- build against qt 3

* Tue Aug 14 2001 Than Ngo <than@redhat.com> 2.5-1
- update to 2.5
- add patch from alane@geeksrus.net (bug #54627)

* Mon Apr 23 2001 Than Ngo <than@redhat.com>
- update to 2.4
- remove a g++ patch, since the bug is fixed in current gcc-2.96-81

* Wed Feb 28 2001 Tim Powers <timp@redhat.com>
- rebuilt against new libmng

* Fri Feb 23 2001 Than Ngo <than@redhat.com>
- rebuild against sip-2.3-2

* Thu Feb 22 2001 Than Ngo <than@redhat.com>
- update to 2.3
- use python 1.5

* Fri Feb 02 2001 Than Ngo <than@redhat.com>
- fixed to build against gcc-2.96-72

* Wed Jan 10 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't require a package we aren't shipping (python2 >= 2.0,
  not python >= 2.0)

* Tue Dec 26 2000 Than Ngo <than@redhat.com>
- rebuild against the new qt-2.2.3
- fixed to build with python 2.0
- add missing PyQt docs

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Wed Nov 8 2000 Than Ngo <than@redhat.com>
- update to 2.2
- fixed BuildPrereq

* Tue Oct 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- remove bogus requirement on python-%%{pythonver}, there's no such
  thing as a python-1.5 package and we actually use version 1.5.2
  Than: I take this VERY seriously... "It compiles, therefore it
  works!" is a registered trademark of myself. ;)
- some fixes to spec file
- update URL

* Mon Oct 23 2000 Than Ngo <than@redhat.com>
- update to 2.1
- add requires python

* Thu Jul 27 2000 Than Ngo <than@redhat.de>
- don't hardcode Qt version
- add defattr

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- added defattr

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt with the new qt

* Sat May 27 2000 Ngo Than <than@redhat.de>
- update 0.12 for 7.0

* Mon May  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.11.1
- Qt 2.1.0

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.10.1
- Qt 1.45
- handle RPM_OPT_FLAGS
- fix download URL
- -devel and -examples require base package

* Tue Dec 21 1999 Ngo Than <than@redhat.de>
- updated 0.10

* Tue Dec 14 1999 Ngo Than <than@redhat.de>
- 0.10pre5

* Sun Nov 28 1999 Ngo Than <than@redhat.de>
- adapted for powertools-6.2

* Fri Aug 13 1998 Pieter Nagel <pnagel@e.co.za>
- Initial packaging as RPM
